Bug 1013685 - CLI - Publish failed for content view with Errata filter.
CLI - Publish failed for content view with Errata filter.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Partha Aji
Garik Khachikyan
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 11:25 EDT by Hayk Hovsepyan
Modified: 2015-01-04 17:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:07:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2013-09-30 11:25:52 EDT
Description of problem:
When publishing content view which has filter of Errata, it fails.

Version-Release number of selected component (if applicable):
Katello-Katello-Installation-RegisterRHNClassic-1.1-4.noarch
katello-configure-foreman-proxy-1.4.5-8.el6sat.noarch
pulp-puppet-plugins-2.3.0-0.14.alpha.el6sat.noarch
katello-glue-pulp-1.4.6-14.el6sat.noarch
katello-configure-foreman-1.4.5-8.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-agent-1.4.4-2.el6sat.noarch
Katello-Katello-Installation-Satellite6Latest-1.0-9.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
Katello-Katello-Configuration-KatelloClient-1.1-50.noarch
katello-cli-1.4.3-15.el6sat.noarch
katello-configure-1.4.5-8.el6sat.noarch
pulp-selinux-2.3.0-0.14.alpha.el6sat.noarch
pulp-rpm-plugins-2.3.0-0.14.alpha.el6sat.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
pulp-nodes-parent-2.3.0-0.14.alpha.el6sat.noarch
katello-common-1.4.6-14.el6sat.noarch
katello-selinux-1.4.4-4.el6sat.noarch
katello-glue-elasticsearch-1.4.6-14.el6sat.noarch
katello-all-1.4.6-14.el6sat.noarch
katello-cli-common-1.4.3-15.el6sat.noarch
katello-certs-tools-1.4.4-1.el6sat.noarch
pulp-server-2.3.0-0.14.alpha.el6sat.noarch
pulp-nodes-common-2.3.0-0.14.alpha.el6sat.noarch
katello-glue-candlepin-1.4.6-14.el6sat.noarch
katello-1.4.6-14.el6sat.noarch
katello-foreman-all-1.4.6-14.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch
pulp-rpm-handlers-2.3.0-0.14.alpha.el6sat.noarch
Katello-Katello-Sanity-ImportKeys-1.2-1.noarch

How reproducible:
always

Steps to Reproduce:
1. Import valid manifest, enable RHEL repo and sync it.
2. Create content refinition and add RHEL repo into it.
3. Create filter for content definition and add RHEL repo to it. 
4. Add rule on this filter for Errata: "content definition filter add_rule --org $org --definition $contentdef --name $filtername --content "erratum" --type "includes" --rule "{\"units\": [{\"id\" : \"RHBA-2010:0836\"}]}""
5. Publish content definition. It fails both on CLI and on UI. On CLI it logs even some wrong message: "Content view [ pubview ] failed to be promoted".

Actual results:
publish failed

Expected results:
it should publish successfully

Additional info:
with filters for packages it publishes OK
Comment 2 Og Maciel 2013-09-30 11:44:55 EDT
fwiw I managed to publish a content view definition that had a custom product with a filter on a package... using mdp2 build.
Comment 4 Hayk Hovsepyan 2013-10-10 08:03:22 EDT
The same problem happens with custom repo content as well.
Comment 5 Partha Aji 2013-10-10 17:35:08 EDT
Should be fixed in the next build... I just tested on master, for package/errata/package groups (made some mods yesterday).
Comment 7 Garik Khachikyan 2013-10-18 09:50:08 EDT
# VERIFIED

recent sat6-mdp2-drop6-compose2 has the fix. thanks. Automation passes fine now.
===
candlepin-0.8.25-1.el6sam.noarch
candlepin-cert-consumer-demeter.usersys.redhat.com-1.0-1.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.8.25-1.el6sam.noarch
candlepin-tomcat6-0.8.25-1.el6sam.noarch
createrepo-0.9.9-21.2.pulp.el6sat.noarch
elasticsearch-0.19.9-8.el6sat.noarch
katello-1.4.6-40.el6sat.noarch
katello-agent-1.4.4-3.el6sat.noarch
katello-all-1.4.6-40.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.4.4-1.el6sat.noarch
katello-cli-1.4.3-24.el6sat.noarch
katello-cli-common-1.4.3-24.el6sat.noarch
katello-common-1.4.6-40.el6sat.noarch
katello-configure-1.4.7-6.el6sat.noarch
katello-configure-foreman-1.4.7-6.el6sat.noarch
katello-foreman-all-1.4.6-40.el6sat.noarch
katello-glue-candlepin-1.4.6-40.el6sat.noarch
katello-glue-elasticsearch-1.4.6-40.el6sat.noarch
katello-glue-pulp-1.4.6-40.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-selinux-1.4.4-4.el6sat.noarch
m2crypto-0.21.1.pulp-8.el6sat.x86_64
mod_wsgi-3.4-1.pulp.el6sat.x86_64
pulp-katello-plugins-0.2-1.el6sat.noarch
pulp-nodes-common-2.3.0-0.22.beta.el6sat.noarch
pulp-nodes-parent-2.3.0-0.22.beta.el6sat.noarch
pulp-puppet-plugins-2.3.0-0.22.beta.el6sat.noarch
pulp-rpm-handlers-2.3.0-0.22.beta.el6sat.noarch
pulp-rpm-plugins-2.3.0-0.22.beta.el6sat.noarch
pulp-selinux-2.3.0-0.22.beta.el6sat.noarch
pulp-server-2.3.0-0.22.beta.el6sat.noarch
python-isodate-0.5.0-1.pulp.el6sat.noarch
python-oauth2-1.5.170-3.pulp.el6sat.noarch
python-pulp-agent-lib-2.3.0-0.22.beta.el6sat.noarch
python-pulp-bindings-2.3.0-0.22.beta.el6sat.noarch
python-pulp-common-2.3.0-0.22.beta.el6sat.noarch
python-pulp-puppet-common-2.3.0-0.22.beta.el6sat.noarch
python-pulp-rpm-common-2.3.0-0.22.beta.el6sat.noarch
python-qpid-0.18-5.el6_4.noarch
qpid-cpp-client-0.14-22.el6_3.x86_64
qpid-cpp-client-ssl-0.14-22.el6_3.x86_64
qpid-cpp-server-0.14-22.el6_3.x86_64
qpid-cpp-server-ssl-0.14-22.el6_3.x86_64
ruby193-rubygem-foreman-katello-engine-0.0.17-6.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.12-3.el6sat.noarch
ruby193-rubygem-katello_api-0.0.3-4.el6sat.noarch
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
signo-katello-0.0.23-2.el6sat.noarch
Comment 8 Bryan Kearney 2014-04-24 13:07:56 EDT
This was verified and delivered with MDP2. Closing it out.

Note You need to log in before you can comment on or make changes to this bug.